version: 2

models:

    - name: netsuite_stitch_account
      description: Official [Accounts table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/account.html) from Netsuite
      columns:
          - name: account_id
            tests:
                - not_null
                - unique
          - name: account_name
            tests:
                - not_null

    - name: netsuite_stitch_accounting_periods
      description: Official [Accounting Periods table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/accountingperiod.html) from Netsuite
      columns:
          - name: accounting_period_id
            tests:
                - unique
                - not_null
          - name: start_date
            tests:
                - not_null
          - name: end_date
            tests:
                - not_null

    - name: netsuite_stitch_consolidated_exchange_rates
      description: Official [Consolidated Exchange Rates table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/consolidated_exchange_rates.html) from Netsuite
      columns:
          - name: consolidated_exchnage_rate_id
            tests:
                - not_null
                - unique
          - name: postingperiod
            tests:
                - not_null
          - name: average_rate
            tests:
                - not_null

    - name: netsuite_stitch_currency_rate
      description: Official [Currency Rates table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/currencyrate.html) from Netsuite
      columns:
          - name: currency_rate_id
            tests:
                - not_null
                - unique
          - name: transaction_currency_name
            tests:
                - not_null
          - name: exchange_rate
            tests:
                - not_null

    - name: netsuite_stitch_customer
      description: Official [Customers table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/customer.html) from Netsuite
      columns:
          - name: customer_id
            tests:
                - not_null
                - unique

    - name: netsuite_stitch_deleted
      description: Official [Deleted Records table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/deleted_records.html) from Netsuite
      columns:
          - name: deleted_transactions_unique_id
            tests:
                - unique
                - not_null
          - name: deleted_date
            tests:
                - not_null

    - name: netsuite_stitch_department
      description: Official [Departments table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/department.html) from Netsuite
      columns:
          - name: department_id
            tests:
                - not_null
                - unique
          - name: department_name
            tests:
                - not_null

    - name: netsuite_stitch_subsidiary
      description: Official [Subsidiaries table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/subsidiaries.html) from Netsuite
      columns:
          - name: subsidiary_id
            tests:
                - not_null
                - unique
          - name: subsidiary_name
            tests:
                - not_null
          - name: currency_name
            tests:
                - not_null

    - name: netsuite_stitch_transaction
      description: Official [Transactions table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/transaction.html) from Netsuite
      columns:
          - name: transaction_id
            tests:
                - not_null
                - unique
          - name: transaction_date
            tests:
                - not_null

    - name: netsuite_stitch_transaction_expense_list
      description: '{{ doc("netsuite_stitch_expenses") }}'
      columns:
          - name: transaction_expense_lines_unique_id
            tests:
                - not_null
                - unique
          - name: transaction_id
            tests:
                - not_null
          - name: account_id
            tests:
                - not_null
          - name: account_name
            tests:
                - not_null

    - name: netsuite_stitch_transaction_line_list
      description: '{{ doc("netsuite_stitch_transaction_lines") }}'
      columns:
          - name: transaction_line_list_unique_id
            tests:
                - not_null
                - unique
          - name: transaction_id
            tests:
                - not_null
          - name: account_id
            tests:
                - not_null
          - name: account_name
            tests:
                - not_null

    - name: netsuite_stitch_transaction_item_list
      description: '{{ doc("netsuite_stitch_transaction_items") }}'
      columns:
          - name: transaction_item_list_unique_id
            tests:
                - not_null
                - unique
          - name: transaction_id
            tests:
                - not_null
          - name: account_id
            tests:
                - not_null
          - name: account_name
            tests:
                - not_null

    - name: netsuite_stitch_vendor
      description: Official [Vendors table docs](http://www.netsuite.com/help/helpcenter/en_US/srbrowser/Browser2016_1/odbc/record/vendor.html) from Netsuite
      columns:
          - name: vendor_id
            tests:
                - not_null
                - unique
          - name: entity_name
            tests:
                - not_null
